ОтслеживатьВыборЧастиДиректории = мир =>
{
    for (var н in мир.частиДиректории)
    {
        const номер = н;
        const ссылка = `части-директории_${н}_ссылка`;
        $(`#${ссылка}`).click(function() {
            мир.номерВыбраннойЧастиДиректории = номер;
            мир.уведомить("выбрали часть директории");
        });
    }
};


// // // //


ОтобразитьЧастиДиректорииВВидеСсылок = мир =>
{
    const домен = window.location.hostname;
    var части = мир.частиДиректории.slice();
    части[0] = домен + части[0];
    var содержимое = "🌐&nbsp;";
    for (var н in части)
    {
        const часть = части[н];
        содержимое += `<a id="части-директории_${н}_ссылка">${часть}/</a>`;
    }
    $(`#${мир.макет.константы.заголовокЛево}`).html(содержимое);
};


// // // //


РазбитьДиректориюНаЧасти = мир =>
{
    var части = мир.директория.split(/\//);
    // Убираем последнюю пустую строку.
    части.pop();
    мир.частиДиректории = части;
};


// // // //


ОтобразитьДиректориюВЗаголовке = мир =>
{
    const домен = window.location.hostname;
    const путь = домен + мир.директория;
    var текст = `🌐 ${путь}`;
    document.title = текст;
};


// // // //


ОтслеживатьВыборФайла = мир =>
{
    for (var н in мир.списокФайлов)
    {
        const номер = н;
        const ссылка = `список-файлов_${н}_ссылка`;
        $(`#${ссылка}`).click(function() {
            мир.номерВыбранногоФайла = номер;
            мир.уведомить("выбрали файл");
        });
    }
};


// // // //


ОтобразитьСписокФайлов = мир =>
{
    const список = мир.списокФайлов;
    var содержимое = "";
    for (var н in список)
    {
        const элемент = список[н];
        содержимое += `
<li id="список-файлов_${н}">
    <a id="список-файлов_${н}_ссылка">
        ${элемент}
    </a>
</li>
        `;
    }
    содержимое = `<ul class="uk-nav uk-nav-default tm-nav">${содержимое}</ul>`;
    $(`#${мир.макет.константы.меню}`).html(содержимое);
};


// // // //


ОтслеживатьНажатияКнопокШапки = мир =>
{
    for (var н in мир.кнопкиШапки)
    {
        const кнопка = мир.кнопкиШапки[н];
        $(`#${кнопка["🎃"]}`).click(function() {
            мир.уведомить(кнопка["💥"]);
        });
    }
};


// // // //


ЗадатьКнопкиШапки = мир =>
{
    var содержимое = "";
    for (var н in мир.кнопкиШапки)
    {
        var кнопка = мир.кнопкиШапки[н];
        содержимое += `
<ul class="uk-navbar-nav">
    <li><a id="${кнопка["🎃"]}" class="height40">${кнопка["🍲"]}</a></li>
</ul>
        `;
    }
    $(`#${мир.макет.константы.заголовокПраво}`).html(содержимое);
};


// // // //


ПодготовитьМорду = мир =>
{
    мир.кнопкиШапки = [];
};